#include <stdio.h>
#include <stdlib.h>

void error_exit(char *me, int error_no, char *info)
{
  char *fmt[] = {
    "%s: file %s not found\n",
    "%s: file %s not readable\n",
  }, buf[1024];

  snprintf(buf, sizeof(buf), fmt[error_no], me, info);
#if defined(UNSAFE)
  fprintf(stderr, buf);
#else
  fprintf(stderr, "%s", buf);
#endif
  exit(1);
}

int main(int argc, char *argv[])
{
  if (argc == 1+1) {
    error_exit(argv[0], 1, argv[1]);
  }
  return 0;
}
